> ## Documentation Index
> Fetch the complete documentation index at: https://requestnetwork-docs-openapi-secure-payments.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh bridge step transactionRequest

> Re-stamps the bridge deadline to 'now' by calling LI.FI /advanced/stepTransaction for a previously selected route step. Call this in parallel for all steps immediately before bundling and submitting the UserOp to avoid deadline expiry.



## OpenAPI

````yaml /api-reference/openapi.v2.json post /v2/secure-payments/{token}/refresh-step-transaction
openapi: 3.0.0
info:
  title: Request Network API
  description: API for easily creating and paying Requests with Request Network.
  version: 0.13.0
  contact: {}
servers:
  - url: https://api.request.network
    description: Production server
  - url: https://api.stage.request.network
    description: Staging server
  - url: http://127.0.0.1:8080
    description: Local development server
security: []
tags:
  - name: V2/Request
    description: Core payment request operations (V2)
  - name: V2/Payments
    description: Payment search and management operations (V2)
  - name: V2/Payouts
    description: Pay a request without creating one first (V2)
  - name: V2/Payer
    description: Crypto-to-fiat payer management operations (V2)
  - name: V2/Currencies
    description: Currency operations (V2)
  - name: V2/Client IDs
    description: Client ID management (V2)
  - name: V2/Secure Payment
    description: Secure payment operations with token-based access (V2)
  - name: V2/Payee Destination
    description: Payee destination management (V2)
externalDocs:
  description: Request Network Docs
  url: https://docs.request.network/request-network-api
paths:
  /v2/secure-payments/{token}/refresh-step-transaction:
    post:
      tags:
        - V2/Secure Payment
      summary: Refresh bridge step transactionRequest
      description: >-
        Re-stamps the bridge deadline to 'now' by calling LI.FI
        /advanced/stepTransaction for a previously selected route step. Call
        this in parallel for all steps immediately before bundling and
        submitting the UserOp to avoid deadline expiry.
      operationId: SecurePaymentController_refreshStepTransaction_v2
      parameters:
        - name: token
          required: true
          in: path
          schema:
            type: string
        - name: x-client-id
          in: header
          description: Client ID for frontend authentication
          required: true
          schema:
            type: string
        - name: Origin
          in: header
          description: Origin header (automatically set by browser)
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                step:
                  type: object
                  properties:
                    id:
                      type: string
                    type:
                      type: string
                    tool:
                      type: string
                    action:
                      type: object
                      properties:
                        toChainId:
                          type: number
                        toAddress:
                          type: string
                          pattern: ^0x[0-9a-fA-F]{40}$
                      required:
                        - toChainId
                        - toAddress
                  required:
                    - id
                    - type
                    - tool
                    - action
                  description: LI.FI route step object from /advanced/routes
              required:
                - step
      responses:
        '200':
          description: Fresh transactionRequest returned
        '400':
          description: Route no longer available or invalid step
        '401':
          description: Unauthorized
        '403':
          description: Unauthorized
        '429':
          description: Too Many Requests

````